commit:     eae97f44bad07f4bb930f2f15b25b806dc9be268
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Jan  5 20:31:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  9 04:21:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eae97f44

sci-astronomy/wcslib: verbump to 7.3.1

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18959
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-astronomy/wcslib/Manifest            |  1 +
 sci-astronomy/wcslib/wcslib-7.3.1.ebuild | 66 ++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/sci-astronomy/wcslib/Manifest b/sci-astronomy/wcslib/Manifest
index 5216dd92ca3..d42974ef89b 100644
--- a/sci-astronomy/wcslib/Manifest
+++ b/sci-astronomy/wcslib/Manifest
@@ -1 +1,2 @@
+DIST wcslib-7.3.1.tar.bz2 2434274 BLAKE2B 
9789a8eb34fe37c96b52e20efe3c14368499058e5c46aad4853b2be5f32a31df26525ec2c38d0ce87bcb7891b91a3ec3ac537e3c662c716a7c4381f26cd715e4
 SHA512 
753e0e202fb4250d321c36a0df9cd45ed88697111a06e108bc3e5397ddecc60d460cda2b4d45b5311dd72b88b66d4c70ff150b03e2da46c834b024f15304779b
 DIST wcslib-7.3.tar.bz2 2435669 BLAKE2B 
c0f641b4c2fdd9d332816195f399eb2ab3c5aa585f08c4857af77bd5ed4074e653663f7cbddc6d7678cd85bed2c0bd95719cd83a5138d21ad24841396d4c11b9
 SHA512 
8c98c4b575056e2d966b77a4bc951256d02ecee3a11847e140fd38d93afd0f76b3e906d590c952dc9fc58ceeb1ba062b19d8e1e676ee0032f5b7ed13a9dfa892

diff --git a/sci-astronomy/wcslib/wcslib-7.3.1.ebuild 
b/sci-astronomy/wcslib/wcslib-7.3.1.ebuild
new file mode 100644
index 00000000000..a7feb7d418e
--- /dev/null
+++ b/sci-astronomy/wcslib/wcslib-7.3.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+FORTRAN_NEEDED=fortran
+
+inherit fortran-2
+
+DESCRIPTION="Astronomical World Coordinate System transformations library"
+HOMEPAGE="https://www.atnf.csiro.au/people/mcalabre/WCS/";
+SRC_URI="ftp://ftp.atnf.csiro.au/pub/software/${PN}/${P}.tar.bz2";
+
+SLOT="0/7"
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc fortran fits pgplot static-libs +tools"
+
+RDEPEND="
+       fits? ( sci-libs/cfitsio:0= )
+       pgplot? ( sci-libs/pgplot:0= )"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       virtual/pkgconfig"
+
+src_configure() {
+       local myconf=(
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}
+               --htmldir="${EPREFIX}"/usr/share/doc/${PF}
+               $(use_enable fortran)
+               $(use_enable tools utils)
+       )
+       # hacks because cfitsio and pgplot directories are hard-coded
+       if use fits; then
+               myconf+=(
+                       --with-cfitsioinc="${EPREFIX}/usr/include"
+                       --with-cfitsiolib="${EPREFIX}/usr/$(get_libdir)"
+               )
+       else
+               myconf+=( --without-cfitsio )
+       fi
+       if use pgplot; then
+               myconf+=(
+                       --with-pgplotinc="${EPREFIX}/usr/include"
+                       --with-pgplotlib="${EPREFIX}/usr/$(get_libdir)"
+               )
+       else
+               myconf+=( --without-pgplot )
+       fi
+       econf ${myconf[@]}
+       sed -i -e 's/COPYING\*//' GNUmakefile || die
+}
+
+src_test() {
+       emake check
+}
+
+src_install () {
+       default
+       # static libs share the same symbols as shared (i.e. compiled with PIC)
+       # so they are not compiled twice
+       use static-libs || rm "${ED}"/usr/$(get_libdir)/lib*.a
+       use doc || rm -r \
+               "${ED}"/usr/share/doc/${PF}/html \
+               "${ED}"/usr/share/doc/${PF}/*.pdf
+}

Reply via email to